Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network4.167.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
4.167.0.0
Broadcast address
4.167.63.255
First usable
4.167.0.1
Last usable
4.167.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 04A70000 · Integer 78053376 to 78069759
Reverse DNS zones
0.167.4.in-addr.arpa
1.167.4.in-addr.arpa
2.167.4.in-addr.arpa
3.167.4.in-addr.arpa
4.167.4.in-addr.arpa
5.167.4.in-addr.arpa
6.167.4.in-addr.arpa
7.167.4.in-addr.arpa
8.167.4.in-addr.arpa
9.167.4.in-addr.arpa
10.167.4.in-addr.arpa
11.167.4.in-addr.arpa
12.167.4.in-addr.arpa
13.167.4.in-addr.arpa
14.167.4.in-addr.arpa
15.167.4.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000100.10100111.00000000.000000004.167.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00000100.10100111.00000000.000000004.167.0.0
Broadcast00000100.10100111.00111111.111111114.167.63.255
Split into smaller subnets/28

4.167.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
14.167.0.0/284.167.0.1 to 4.167.0.144.167.0.1514
24.167.0.16/284.167.0.17 to 4.167.0.304.167.0.3114
34.167.0.32/284.167.0.33 to 4.167.0.464.167.0.4714
44.167.0.48/284.167.0.49 to 4.167.0.624.167.0.6314
54.167.0.64/284.167.0.65 to 4.167.0.784.167.0.7914
64.167.0.80/284.167.0.81 to 4.167.0.944.167.0.9514
74.167.0.96/284.167.0.97 to 4.167.0.1104.167.0.11114
84.167.0.112/284.167.0.113 to 4.167.0.1264.167.0.12714
94.167.0.128/284.167.0.129 to 4.167.0.1424.167.0.14314
104.167.0.144/284.167.0.145 to 4.167.0.1584.167.0.15914
114.167.0.160/284.167.0.161 to 4.167.0.1744.167.0.17514
124.167.0.176/284.167.0.177 to 4.167.0.1904.167.0.19114
134.167.0.192/284.167.0.193 to 4.167.0.2064.167.0.20714
144.167.0.208/284.167.0.209 to 4.167.0.2224.167.0.22314
154.167.0.224/284.167.0.225 to 4.167.0.2384.167.0.23914
164.167.0.240/284.167.0.241 to 4.167.0.2544.167.0.25514
174.167.1.0/284.167.1.1 to 4.167.1.144.167.1.1514
184.167.1.16/284.167.1.17 to 4.167.1.304.167.1.3114
194.167.1.32/284.167.1.33 to 4.167.1.464.167.1.4714
204.167.1.48/284.167.1.49 to 4.167.1.624.167.1.6314
214.167.1.64/284.167.1.65 to 4.167.1.784.167.1.7914
224.167.1.80/284.167.1.81 to 4.167.1.944.167.1.9514
234.167.1.96/284.167.1.97 to 4.167.1.1104.167.1.11114
244.167.1.112/284.167.1.113 to 4.167.1.1264.167.1.12714
254.167.1.128/284.167.1.129 to 4.167.1.1424.167.1.14314
264.167.1.144/284.167.1.145 to 4.167.1.1584.167.1.15914
274.167.1.160/284.167.1.161 to 4.167.1.1744.167.1.17514
284.167.1.176/284.167.1.177 to 4.167.1.1904.167.1.19114
294.167.1.192/284.167.1.193 to 4.167.1.2064.167.1.20714
304.167.1.208/284.167.1.209 to 4.167.1.2224.167.1.22314
314.167.1.224/284.167.1.225 to 4.167.1.2384.167.1.23914
324.167.1.240/284.167.1.241 to 4.167.1.2544.167.1.25514
334.167.2.0/284.167.2.1 to 4.167.2.144.167.2.1514
344.167.2.16/284.167.2.17 to 4.167.2.304.167.2.3114
354.167.2.32/284.167.2.33 to 4.167.2.464.167.2.4714
364.167.2.48/284.167.2.49 to 4.167.2.624.167.2.6314
374.167.2.64/284.167.2.65 to 4.167.2.784.167.2.7914
384.167.2.80/284.167.2.81 to 4.167.2.944.167.2.9514
394.167.2.96/284.167.2.97 to 4.167.2.1104.167.2.11114
404.167.2.112/284.167.2.113 to 4.167.2.1264.167.2.12714
414.167.2.128/284.167.2.129 to 4.167.2.1424.167.2.14314
424.167.2.144/284.167.2.145 to 4.167.2.1584.167.2.15914
434.167.2.160/284.167.2.161 to 4.167.2.1744.167.2.17514
444.167.2.176/284.167.2.177 to 4.167.2.1904.167.2.19114
454.167.2.192/284.167.2.193 to 4.167.2.2064.167.2.20714
464.167.2.208/284.167.2.209 to 4.167.2.2224.167.2.22314
474.167.2.224/284.167.2.225 to 4.167.2.2384.167.2.23914
484.167.2.240/284.167.2.241 to 4.167.2.2544.167.2.25514
494.167.3.0/284.167.3.1 to 4.167.3.144.167.3.1514
504.167.3.16/284.167.3.17 to 4.167.3.304.167.3.3114
514.167.3.32/284.167.3.33 to 4.167.3.464.167.3.4714
524.167.3.48/284.167.3.49 to 4.167.3.624.167.3.6314
534.167.3.64/284.167.3.65 to 4.167.3.784.167.3.7914
544.167.3.80/284.167.3.81 to 4.167.3.944.167.3.9514
554.167.3.96/284.167.3.97 to 4.167.3.1104.167.3.11114
564.167.3.112/284.167.3.113 to 4.167.3.1264.167.3.12714
574.167.3.128/284.167.3.129 to 4.167.3.1424.167.3.14314
584.167.3.144/284.167.3.145 to 4.167.3.1584.167.3.15914
594.167.3.160/284.167.3.161 to 4.167.3.1744.167.3.17514
604.167.3.176/284.167.3.177 to 4.167.3.1904.167.3.19114
614.167.3.192/284.167.3.193 to 4.167.3.2064.167.3.20714
624.167.3.208/284.167.3.209 to 4.167.3.2224.167.3.22314
634.167.3.224/284.167.3.225 to 4.167.3.2384.167.3.23914
644.167.3.240/284.167.3.241 to 4.167.3.2544.167.3.25514
654.167.4.0/284.167.4.1 to 4.167.4.144.167.4.1514
664.167.4.16/284.167.4.17 to 4.167.4.304.167.4.3114
674.167.4.32/284.167.4.33 to 4.167.4.464.167.4.4714
684.167.4.48/284.167.4.49 to 4.167.4.624.167.4.6314
694.167.4.64/284.167.4.65 to 4.167.4.784.167.4.7914
704.167.4.80/284.167.4.81 to 4.167.4.944.167.4.9514
714.167.4.96/284.167.4.97 to 4.167.4.1104.167.4.11114
724.167.4.112/284.167.4.113 to 4.167.4.1264.167.4.12714
734.167.4.128/284.167.4.129 to 4.167.4.1424.167.4.14314
744.167.4.144/284.167.4.145 to 4.167.4.1584.167.4.15914
754.167.4.160/284.167.4.161 to 4.167.4.1744.167.4.17514
764.167.4.176/284.167.4.177 to 4.167.4.1904.167.4.19114
774.167.4.192/284.167.4.193 to 4.167.4.2064.167.4.20714
784.167.4.208/284.167.4.209 to 4.167.4.2224.167.4.22314
794.167.4.224/284.167.4.225 to 4.167.4.2384.167.4.23914
804.167.4.240/284.167.4.241 to 4.167.4.2544.167.4.25514
814.167.5.0/284.167.5.1 to 4.167.5.144.167.5.1514
824.167.5.16/284.167.5.17 to 4.167.5.304.167.5.3114
834.167.5.32/284.167.5.33 to 4.167.5.464.167.5.4714
844.167.5.48/284.167.5.49 to 4.167.5.624.167.5.6314
854.167.5.64/284.167.5.65 to 4.167.5.784.167.5.7914
864.167.5.80/284.167.5.81 to 4.167.5.944.167.5.9514
874.167.5.96/284.167.5.97 to 4.167.5.1104.167.5.11114
884.167.5.112/284.167.5.113 to 4.167.5.1264.167.5.12714
894.167.5.128/284.167.5.129 to 4.167.5.1424.167.5.14314
904.167.5.144/284.167.5.145 to 4.167.5.1584.167.5.15914
914.167.5.160/284.167.5.161 to 4.167.5.1744.167.5.17514
924.167.5.176/284.167.5.177 to 4.167.5.1904.167.5.19114
934.167.5.192/284.167.5.193 to 4.167.5.2064.167.5.20714
944.167.5.208/284.167.5.209 to 4.167.5.2224.167.5.22314
954.167.5.224/284.167.5.225 to 4.167.5.2384.167.5.23914
964.167.5.240/284.167.5.241 to 4.167.5.2544.167.5.25514
974.167.6.0/284.167.6.1 to 4.167.6.144.167.6.1514
984.167.6.16/284.167.6.17 to 4.167.6.304.167.6.3114
994.167.6.32/284.167.6.33 to 4.167.6.464.167.6.4714
1004.167.6.48/284.167.6.49 to 4.167.6.624.167.6.6314
1014.167.6.64/284.167.6.65 to 4.167.6.784.167.6.7914
1024.167.6.80/284.167.6.81 to 4.167.6.944.167.6.9514
1034.167.6.96/284.167.6.97 to 4.167.6.1104.167.6.11114
1044.167.6.112/284.167.6.113 to 4.167.6.1264.167.6.12714
1054.167.6.128/284.167.6.129 to 4.167.6.1424.167.6.14314
1064.167.6.144/284.167.6.145 to 4.167.6.1584.167.6.15914
1074.167.6.160/284.167.6.161 to 4.167.6.1744.167.6.17514
1084.167.6.176/284.167.6.177 to 4.167.6.1904.167.6.19114
1094.167.6.192/284.167.6.193 to 4.167.6.2064.167.6.20714
1104.167.6.208/284.167.6.209 to 4.167.6.2224.167.6.22314
1114.167.6.224/284.167.6.225 to 4.167.6.2384.167.6.23914
1124.167.6.240/284.167.6.241 to 4.167.6.2544.167.6.25514
1134.167.7.0/284.167.7.1 to 4.167.7.144.167.7.1514
1144.167.7.16/284.167.7.17 to 4.167.7.304.167.7.3114
1154.167.7.32/284.167.7.33 to 4.167.7.464.167.7.4714
1164.167.7.48/284.167.7.49 to 4.167.7.624.167.7.6314
1174.167.7.64/284.167.7.65 to 4.167.7.784.167.7.7914
1184.167.7.80/284.167.7.81 to 4.167.7.944.167.7.9514
1194.167.7.96/284.167.7.97 to 4.167.7.1104.167.7.11114
1204.167.7.112/284.167.7.113 to 4.167.7.1264.167.7.12714
1214.167.7.128/284.167.7.129 to 4.167.7.1424.167.7.14314
1224.167.7.144/284.167.7.145 to 4.167.7.1584.167.7.15914
1234.167.7.160/284.167.7.161 to 4.167.7.1744.167.7.17514
1244.167.7.176/284.167.7.177 to 4.167.7.1904.167.7.19114
1254.167.7.192/284.167.7.193 to 4.167.7.2064.167.7.20714
1264.167.7.208/284.167.7.209 to 4.167.7.2224.167.7.22314
1274.167.7.224/284.167.7.225 to 4.167.7.2384.167.7.23914
1284.167.7.240/284.167.7.241 to 4.167.7.2544.167.7.25514
1294.167.8.0/284.167.8.1 to 4.167.8.144.167.8.1514
1304.167.8.16/284.167.8.17 to 4.167.8.304.167.8.3114
1314.167.8.32/284.167.8.33 to 4.167.8.464.167.8.4714
1324.167.8.48/284.167.8.49 to 4.167.8.624.167.8.6314
1334.167.8.64/284.167.8.65 to 4.167.8.784.167.8.7914
1344.167.8.80/284.167.8.81 to 4.167.8.944.167.8.9514
1354.167.8.96/284.167.8.97 to 4.167.8.1104.167.8.11114
1364.167.8.112/284.167.8.113 to 4.167.8.1264.167.8.12714
1374.167.8.128/284.167.8.129 to 4.167.8.1424.167.8.14314
1384.167.8.144/284.167.8.145 to 4.167.8.1584.167.8.15914
1394.167.8.160/284.167.8.161 to 4.167.8.1744.167.8.17514
1404.167.8.176/284.167.8.177 to 4.167.8.1904.167.8.19114
1414.167.8.192/284.167.8.193 to 4.167.8.2064.167.8.20714
1424.167.8.208/284.167.8.209 to 4.167.8.2224.167.8.22314
1434.167.8.224/284.167.8.225 to 4.167.8.2384.167.8.23914
1444.167.8.240/284.167.8.241 to 4.167.8.2544.167.8.25514
1454.167.9.0/284.167.9.1 to 4.167.9.144.167.9.1514
1464.167.9.16/284.167.9.17 to 4.167.9.304.167.9.3114
1474.167.9.32/284.167.9.33 to 4.167.9.464.167.9.4714
1484.167.9.48/284.167.9.49 to 4.167.9.624.167.9.6314
1494.167.9.64/284.167.9.65 to 4.167.9.784.167.9.7914
1504.167.9.80/284.167.9.81 to 4.167.9.944.167.9.9514
1514.167.9.96/284.167.9.97 to 4.167.9.1104.167.9.11114
1524.167.9.112/284.167.9.113 to 4.167.9.1264.167.9.12714
1534.167.9.128/284.167.9.129 to 4.167.9.1424.167.9.14314
1544.167.9.144/284.167.9.145 to 4.167.9.1584.167.9.15914
1554.167.9.160/284.167.9.161 to 4.167.9.1744.167.9.17514
1564.167.9.176/284.167.9.177 to 4.167.9.1904.167.9.19114
1574.167.9.192/284.167.9.193 to 4.167.9.2064.167.9.20714
1584.167.9.208/284.167.9.209 to 4.167.9.2224.167.9.22314
1594.167.9.224/284.167.9.225 to 4.167.9.2384.167.9.23914
1604.167.9.240/284.167.9.241 to 4.167.9.2544.167.9.25514
1614.167.10.0/284.167.10.1 to 4.167.10.144.167.10.1514
1624.167.10.16/284.167.10.17 to 4.167.10.304.167.10.3114
1634.167.10.32/284.167.10.33 to 4.167.10.464.167.10.4714
1644.167.10.48/284.167.10.49 to 4.167.10.624.167.10.6314
1654.167.10.64/284.167.10.65 to 4.167.10.784.167.10.7914
1664.167.10.80/284.167.10.81 to 4.167.10.944.167.10.9514
1674.167.10.96/284.167.10.97 to 4.167.10.1104.167.10.11114
1684.167.10.112/284.167.10.113 to 4.167.10.1264.167.10.12714
1694.167.10.128/284.167.10.129 to 4.167.10.1424.167.10.14314
1704.167.10.144/284.167.10.145 to 4.167.10.1584.167.10.15914
1714.167.10.160/284.167.10.161 to 4.167.10.1744.167.10.17514
1724.167.10.176/284.167.10.177 to 4.167.10.1904.167.10.19114
1734.167.10.192/284.167.10.193 to 4.167.10.2064.167.10.20714
1744.167.10.208/284.167.10.209 to 4.167.10.2224.167.10.22314
1754.167.10.224/284.167.10.225 to 4.167.10.2384.167.10.23914
1764.167.10.240/284.167.10.241 to 4.167.10.2544.167.10.25514
1774.167.11.0/284.167.11.1 to 4.167.11.144.167.11.1514
1784.167.11.16/284.167.11.17 to 4.167.11.304.167.11.3114
1794.167.11.32/284.167.11.33 to 4.167.11.464.167.11.4714
1804.167.11.48/284.167.11.49 to 4.167.11.624.167.11.6314
1814.167.11.64/284.167.11.65 to 4.167.11.784.167.11.7914
1824.167.11.80/284.167.11.81 to 4.167.11.944.167.11.9514
1834.167.11.96/284.167.11.97 to 4.167.11.1104.167.11.11114
1844.167.11.112/284.167.11.113 to 4.167.11.1264.167.11.12714
1854.167.11.128/284.167.11.129 to 4.167.11.1424.167.11.14314
1864.167.11.144/284.167.11.145 to 4.167.11.1584.167.11.15914
1874.167.11.160/284.167.11.161 to 4.167.11.1744.167.11.17514
1884.167.11.176/284.167.11.177 to 4.167.11.1904.167.11.19114
1894.167.11.192/284.167.11.193 to 4.167.11.2064.167.11.20714
1904.167.11.208/284.167.11.209 to 4.167.11.2224.167.11.22314
1914.167.11.224/284.167.11.225 to 4.167.11.2384.167.11.23914
1924.167.11.240/284.167.11.241 to 4.167.11.2544.167.11.25514
1934.167.12.0/284.167.12.1 to 4.167.12.144.167.12.1514
1944.167.12.16/284.167.12.17 to 4.167.12.304.167.12.3114
1954.167.12.32/284.167.12.33 to 4.167.12.464.167.12.4714
1964.167.12.48/284.167.12.49 to 4.167.12.624.167.12.6314
1974.167.12.64/284.167.12.65 to 4.167.12.784.167.12.7914
1984.167.12.80/284.167.12.81 to 4.167.12.944.167.12.9514
1994.167.12.96/284.167.12.97 to 4.167.12.1104.167.12.11114
2004.167.12.112/284.167.12.113 to 4.167.12.1264.167.12.12714
2014.167.12.128/284.167.12.129 to 4.167.12.1424.167.12.14314
2024.167.12.144/284.167.12.145 to 4.167.12.1584.167.12.15914
2034.167.12.160/284.167.12.161 to 4.167.12.1744.167.12.17514
2044.167.12.176/284.167.12.177 to 4.167.12.1904.167.12.19114
2054.167.12.192/284.167.12.193 to 4.167.12.2064.167.12.20714
2064.167.12.208/284.167.12.209 to 4.167.12.2224.167.12.22314
2074.167.12.224/284.167.12.225 to 4.167.12.2384.167.12.23914
2084.167.12.240/284.167.12.241 to 4.167.12.2544.167.12.25514
2094.167.13.0/284.167.13.1 to 4.167.13.144.167.13.1514
2104.167.13.16/284.167.13.17 to 4.167.13.304.167.13.3114
2114.167.13.32/284.167.13.33 to 4.167.13.464.167.13.4714
2124.167.13.48/284.167.13.49 to 4.167.13.624.167.13.6314
2134.167.13.64/284.167.13.65 to 4.167.13.784.167.13.7914
2144.167.13.80/284.167.13.81 to 4.167.13.944.167.13.9514
2154.167.13.96/284.167.13.97 to 4.167.13.1104.167.13.11114
2164.167.13.112/284.167.13.113 to 4.167.13.1264.167.13.12714
2174.167.13.128/284.167.13.129 to 4.167.13.1424.167.13.14314
2184.167.13.144/284.167.13.145 to 4.167.13.1584.167.13.15914
2194.167.13.160/284.167.13.161 to 4.167.13.1744.167.13.17514
2204.167.13.176/284.167.13.177 to 4.167.13.1904.167.13.19114
2214.167.13.192/284.167.13.193 to 4.167.13.2064.167.13.20714
2224.167.13.208/284.167.13.209 to 4.167.13.2224.167.13.22314
2234.167.13.224/284.167.13.225 to 4.167.13.2384.167.13.23914
2244.167.13.240/284.167.13.241 to 4.167.13.2544.167.13.25514
2254.167.14.0/284.167.14.1 to 4.167.14.144.167.14.1514
2264.167.14.16/284.167.14.17 to 4.167.14.304.167.14.3114
2274.167.14.32/284.167.14.33 to 4.167.14.464.167.14.4714
2284.167.14.48/284.167.14.49 to 4.167.14.624.167.14.6314
2294.167.14.64/284.167.14.65 to 4.167.14.784.167.14.7914
2304.167.14.80/284.167.14.81 to 4.167.14.944.167.14.9514
2314.167.14.96/284.167.14.97 to 4.167.14.1104.167.14.11114
2324.167.14.112/284.167.14.113 to 4.167.14.1264.167.14.12714
2334.167.14.128/284.167.14.129 to 4.167.14.1424.167.14.14314
2344.167.14.144/284.167.14.145 to 4.167.14.1584.167.14.15914
2354.167.14.160/284.167.14.161 to 4.167.14.1744.167.14.17514
2364.167.14.176/284.167.14.177 to 4.167.14.1904.167.14.19114
2374.167.14.192/284.167.14.193 to 4.167.14.2064.167.14.20714
2384.167.14.208/284.167.14.209 to 4.167.14.2224.167.14.22314
2394.167.14.224/284.167.14.225 to 4.167.14.2384.167.14.23914
2404.167.14.240/284.167.14.241 to 4.167.14.2544.167.14.25514
2414.167.15.0/284.167.15.1 to 4.167.15.144.167.15.1514
2424.167.15.16/284.167.15.17 to 4.167.15.304.167.15.3114
2434.167.15.32/284.167.15.33 to 4.167.15.464.167.15.4714
2444.167.15.48/284.167.15.49 to 4.167.15.624.167.15.6314
2454.167.15.64/284.167.15.65 to 4.167.15.784.167.15.7914
2464.167.15.80/284.167.15.81 to 4.167.15.944.167.15.9514
2474.167.15.96/284.167.15.97 to 4.167.15.1104.167.15.11114
2484.167.15.112/284.167.15.113 to 4.167.15.1264.167.15.12714
2494.167.15.128/284.167.15.129 to 4.167.15.1424.167.15.14314
2504.167.15.144/284.167.15.145 to 4.167.15.1584.167.15.15914
2514.167.15.160/284.167.15.161 to 4.167.15.1744.167.15.17514
2524.167.15.176/284.167.15.177 to 4.167.15.1904.167.15.19114
2534.167.15.192/284.167.15.193 to 4.167.15.2064.167.15.20714
2544.167.15.208/284.167.15.209 to 4.167.15.2224.167.15.22314
2554.167.15.224/284.167.15.225 to 4.167.15.2384.167.15.23914
2564.167.15.240/284.167.15.241 to 4.167.15.2544.167.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses